AdhocPlugin Class Referenceabstract

`#include <adhocplugin.h>`

Inheritance diagram for AdhocPlugin:
[legend]

## Public Member Functions

| AdhocPlugin (int type)
virtual | ~AdhocPlugin ()
virtual | operator bool () const =0
Public Member Functions inherited from StanzaExtension
| StanzaExtension (int type)
virtual | ~StanzaExtension ()
virtual Stanza * | embeddedStanza () const
virtual Tag * | embeddedTag () const
virtual const std::string & | filterString () const =0
virtual StanzaExtension * | newInstance (const Tag *tag) const =0
virtual Tag * | tag () const =0
virtual StanzaExtension * | clone () const =0
int | extensionType () const

## Detailed Description

A base class for Adhoc Command plugins (DataForm, IO Data, ...).

This is just a common base class for abstractions of protocols that can be embedded into Adhoc Commands. You should not need to use this class directly unless you're extending Adhoc Commands further.

This class exists purely as an additional abstraction layer, to limit the type of objects that can be added to an Adhoc Command.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0.13

Definition at line 38 of file adhocplugin.h.

## Constructor & Destructor Documentation

## AdhocPlugin()

AdhocPlugin | ( | int | type | ) |

inline

Creazes a new Adhoc Plugin of the given type.

Parameters

  type | This should be a StanzaExtension type, i.e. the type of StanzaExtension the plugin will hold.

Definition at line 47 of file adhocplugin.h.

## ~AdhocPlugin()

virtual ~AdhocPlugin | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 52 of file adhocplugin.h.

## Member Function Documentation

## operator bool()

virtual operator bool | ( |  | ) | const

pure virtual

Converts to true if the plugin is valid, false otherwise.

Implemented in DataForm, and IOData.

The documentation for this class was generated from the following file:

- adhocplugin.h